#= Template File for "Config.mk", build configuration of dcpam (autoconf)
#
# Authors::   Yasuhiro MORIKAWA, Masaki ISHIWATARI
# Version::   $Id: Config.mk.in,v 1.21 2014/07/15 08:36:11 dcpam Exp $
# Tag Name::  $Name:  $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
# License::   See COPYRIGHT[link:COPYRIGHT]
#
#== Overview
#
# This file is template file to create "Config.mk" by
# autoconf 2.59. Some functions are defined in "aclocal.m4"
# (for example, DC_ARG_WITH).
#
# [JAPANESE]
# このファイルは Makefile 群から呼び出される設定ファイル "Config.mk"
# の雛形ファイルです. configure スクリプトによってこのファイル内の
# 一部 (@ で囲まれた変数) が置き換えられ, "Config.mk" が生成されます.
# configure は configure.in と aclocal.m4 に autoconf コマンドを
# 用いることで生成されます.
#
############################################################

############################################################
#== for version name
PACKAGE_NAME = DCPAM
PACKAGE_VERSION = 6

############################################################
#== for Debian install
#
# [JAPANESE] Debian インストール用
#
DESTDIR = @prefix@

############################################################
#== Fortran Compiler
#
# [JAPANESE] Fortran コンパイラ
#
FC=@FC@

# Flags needed when compiled and linked
# [JAPANESE] コンパイル時・リンク時に必要なフラグ
SYSFCFLAGS=-I/usr/include
FCFLAGS=@FCFLAGS@

# Flags needed when linked
# [JAPANESE] リンク時に必要なフラグ
LDFLAGS=@LDFLAGS@

# Libraries needed when linked
# [JAPANESE] リンク時に必要なライブラリ
LDLIBS=@LDLIBS@

# Flags for C preprocessor
# [JAPANESE] Cプリプロセッサのフラグ
CPPFLAGS=@CPPFLAGS@
###CPPFLAGS=-DLIB_SATURATE_NHA1992 -DLIB_SATURATE_T1930

# Flag for module files search path
# [JAPANESE] モジュール情報ファイルへのパスを指定するためのフラグ
MODPATHFLAG=@MODPATHFLAG@

# Extensions of Module Files used when "make clean"
# * if "F90MODTYPE = hitachi.f90", clean nothing.
#
# [JAPANESE]
# make clean 時に使用するモジュール情報ファイル指定
# (F90MODTYPE = hitachi.f90 のときは何も消してはならない)
#
MODSUFFIX=.@MODSUFFIX@
MODFILE=`basename $@ .o`$(MODSUFFIX)
CLEAN_MODS=*$(MODSUFFIX)

############################################################
#== library name lib$(LIBNAME).a
#
# [JAPANESE] ライブラリ名 lib$(LIBNAME).a
#
LIBNAME		= @DCPAMLIBNAME@
ZONALLIBNAME	= @DCPAMLIBNAME@-zonal
MPILIBNAME	= @DCPAMLIBNAME@-mpi
DCPAMLIB	= lib$(LIBNAME).a
DCPAMZONALLIB	= lib$(ZONALLIBNAME).a
DCPAMMPILIB	= lib$(MPILIBNAME).a

############################################################
#== Directory to which the all files are archived
#
# DIRDEPTH is set in each Makefile
#
# [JAPANESE] アーカイブを行うためのディレクトリ
#
# DIRDEPTH は各 Makefile で設定されます. 
#
MODDIR		= $(DIRDEPTH)/include
MODZONALDIR	= $(DIRDEPTH)/include-zonal
MODMPIDIR	= $(DIRDEPTH)/include-mpi
LIBDIR		= $(DIRDEPTH)/lib
BINDIR		= $(DIRDEPTH)/bin
DOCDIR		= $(DIRDEPTH)/doc

############################################################
#== Directory to which the all files are installed
#
# [JAPANESE] インストール先のディレクトリ
#
prefix		= @prefix@

INSTMODDIR	= $(DESTDIR)/include
INSTLIBDIR	= $(DESTDIR)/lib
INSTBINDIR	= $(DESTDIR)/bin
INSTDOCDIR	= $(DESTDIR)/doc

############################################################
#== URL of COPYRIGHT (for latex2html)
#
# [JAPANESE] COPYRIGHT の URL (latex2html で使用).
#
COPYRIGHTURL	=http://www.gfd-dennou.org/library/dcpam/dcpam5/dcpam5\\\\_latest/COPYRIGHT

############################################################
#== Tools for build
#
# [JAPANESE] ビルド用のツール
#
# RUBY		= @RUBY@   # Ruby 1.8 or more
# PERL		= @PERL@
# SH		= @BASH@
SCRIPTDIR	= $(DIRDEPTH)/script
SCRIPTF90	= $(SCRIPTDIR)/f90
# SCRIPTLATEX2HTML= $(SCRIPTDIR)/latex2html
F90DEPEND	= $(SCRIPTF90)/f90depend.rb
# F90DEPENDOPTS	= -q #-S -v
# CVSTAG2LATEX	= $(SCRIPTDIR)/rd/cvstag2latex.rb

############################################################
#== Settings for test
#
# [JAPANESE] テスト用設定
#
TESTLOG		= xtest.log

############################################################
#== Set Commands for compile and install source code
#
# Please edit according to your system.
#
# [JAPANESE] コンパイルやインストールに必要なコマンド群
#
# システムに合わせて変更してください.
#
MV         = mv -f
CP         = cp -p
SH         = sh
INSTALL    = install -m 644
INSTALLBIN = install -m 755
INSTALLDIR = install -d -m 755
MKDIR      = mkdir -p
DIRNAME    = dirname
BASENAME   = basename
TOUCH      = touch
RM         = rm -fv
RMDIR      = rmdir -v
GUNZIP     = gunzip     # decompression  (equal to "gzip -d")
TEE        = tee        # tee command
MAKE       = make     # GNU Make
AR         = ar       # AR : Library builder specification
ARFLAGS    = cru      # flags of AR
RANLIB     = ranlib   # generate index to archivea
# NCDUMP     = @NCDUMP@   # netCDF file dump command

############################################################
#== Set Commands for development
#
# [JAPANESE] 開発に用いる際のコマンド
#
TAGS		= etags --regex='/\ *module.*\|\ *interface.*\|\ *type\ .*\|\ *function\ .*\|\ *MODULE.*\|\ *INTERFACE.*\|\ *TYPE\ .*\|\ *FUNCTION\ .*/'

